Subject: Re: bug#16515: 24.3; Images do not automatically revert on file modification when auto-revert mode enabled for image-mode.

From: Michael Heerdegen <[email-masked]>
Date: Fri, 27 Sep 2019 16:41:51 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'm unable to reproduce this on the trunk.  I copied a .jpg file to
> /tmp, started emacs -Q, `v' in the dired buffer, `M-x auto-revert-mode',
> and then I edited the file in gimp.

Hmm, I did the same, but with two running Emacsen (one -Q and one with
my .emacs loaded, both master - but I guess that doesn't matter), and I
guess they somehow interfered.  Seems a lock is created when reverting
happens because the buffer is modified, and that causes the trouble when
multiple Emacsen hang around.

With only one running session, I can't reproduce either.  So the
original issue seems to be fixed indeed.

Regards,

Michael.